# Get all defined conditions

API to fetch conditions.

Endpoint: GET /api/v1.1/instances/{instanceId}/conditions
Version: v1.1
Security: AdministrationAccess, ClientAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

  - `ClientAccess` (unknown)
    http bearer JWT

## Path parameters:

  - `instanceId` (string, required)
    The UUID of the Dynamic Monetization instance.

## Response 200:

  - `200` (unknown)
    OK. The request succeeded in its entirety.

## Response 200 fields (application/json):

  - `id` (string)
    A generated identifier to uniquely identify the condition.

  - `name` (string)
    A human readable name to help a user identify the condition. Not required to be unique.

  - `operator` (string, required)
    The logical operator to apply.
    Enum: "IN"

  - `property` (string, required)
    The dictionary key.

  - `values` (array, required)
    The different values to match.

  - `operator` (string, required)
    The logical operator to apply.
    Enum: "AND", "OR"

  - `conditions` (array, required)
    Conditions to apply according to the logical operator.
Note: The nesting depth is limited to 3 levels.

  - `conditions.operator` (string, required)
    The logical operator to apply.
    Enum: "NOT"

  - `conditions.condition` (object, required)
    Condition to apply according to the logical operator.
Note: The nesting depth is limited to 3 levels.

## Response 200 examples:

  - `Example JSON of conditions` (unknown)
    A sample list of conditions.

